﻿@model EditUserViewModel
@{
    var userName = (Model.FirstName + " " + Model.LastName).Trim();
    if (!userName.HasValue())
    {
        userName = Model.UserName;
    }
    ViewBag.Title = "جزئیات حساب کاربری " + Model.FirstName;
}

<div class="row">
    <div class="col-lg-12">
        <div class="card-box">
            <h4 class="text-dark  header-title m-t-0">جزئیات حساب کاربری</h4>
            <p class="text-muted m-b-25 font-13">
                @Model.UserName
            </p>

            @using (Html.BeginForm("Edit", "User", FormMethod.Post))
            {
                @Html.HiddenFor(p => p.Id)
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                <div class="form-horizontal">
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-6">
                                @Html.BsEditorFor(model => model.FirstName, "fa fa-percent", lable_col: 3, editor_col: 9)
                            </div>
                            <div class="col-md-6">
                                @Html.BsEditorFor(model => model.LastName, "fa fa-percent", lable_col: 3, editor_col: 9)
                            </div>
                            <div class="col-md-6">
                                @Html.BsEditorFor(model => model.Email, "fa fa-percent", lable_col: 3, editor_col: 9)
                            </div>
                            <div class="col-md-6">
                                @Html.BsEditorFor(model => model.PhoneNumber, "fa fa-percent", lable_col: 3, editor_col: 9)
                            </div>
                            <div class="col-md-6">
                                @Html.BsEditorFor(model => model.UserName, "fa fa-percent", lable_col: 3, editor_col: 9)
                            </div>
                            <div class="col-md-6">
                                <label for="Gender">جنسیت</label>
                                <select class="form-control" id="Gender" name="Gender">
                                    <option value="" @(!Model.Gender.HasValue ? " selected" : "")>جنسیت را انتخاب کنید</option>
                                    <option value="true" @(Model.Gender.HasValue && Model.Gender.Value ? " selected" : "")>مرد</option>
                                    <option value="false" @(Model.Gender.HasValue && !Model.Gender.Value ? " selected" : "")>زن</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary float-right">ذخیره</button>
            }
        </div>
    </div>
</div>